1814:0601 Wifi not working right

Bug #1176812 reported by Hassan El Jacifi on 2013-05-06
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

For more info:

http://comments.gmane.org/gmane.linux.kernel.wireless.general/104268

Logs:

11:22 waver@Jupiter ~% dmesg | grep wlan
[ 25.459008] wlan0: authenticate with XX:XX:XX:XX:XX:XX
[ 25.474964] wlan0: direct probe to XX:XX:XX:XX:XX:XX (try 1/3)
[ 25.678803] wlan0: send auth to XX:XX:XX:XX:XX:XX (try 2/3)
[ 25.680250] wlan0: authenticated
[ 25.682810] wlan0: associate with XX:XX:XX:XX:XX:XX (try 1/3)
[ 25.685775] wlan0: RX AssocResp from XX:XX:XX:XX:XX:XX (capab=0x431 status=0 aid=1)
[ 25.685843] wlan0: associated
[ 221.081713] wlan0: authenticate with XX:XX:XX:XX:XX:XX
[ 221.089681] wlan0: capabilities/regulatory prevented using AP HT/VHT configuration, downgraded
[ 221.097593] wlan0: send auth to XX:XX:XX:XX:XX:XX (try 1/3)
[ 221.099083] wlan0: authenticated
[ 221.101621] wlan0: associate with XX:XX:XX:XX:XX:XX (try 1/3)
[ 221.167895] wlan0: RX AssocResp from XX:XX:XX:XX:XX:XX (capab=0x431 status=0 aid=1)
[ 221.167961] wlan0: associated

11:22 waver@Jupiter ~% dmesg |grep cfg
[ 0.950083] cfg80211: Calling CRDA to update world regulatory domain
[ 219.882670] cfg80211: Calling CRDA to update world regulatory domain
[ 219.913406] cfg80211: World regulatory domain updated:
[ 219.913409] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 219.913412] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 219.913415] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 219.913417] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 219.913419] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 219.913422] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: linux-generic 3.8.0.19.35
ProcVersionSignature: Ubuntu 3.8.0-19.30-generic 3.8.8
Uname: Linux 3.8.0-19-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.9.2-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: waver 2810 F.... pulseaudio
Date: Mon May 6 11:23:14 2013
HibernationDevice: RESUME=UUID=8c728597-f27b-4e83-a813-c25f6b076b7d
InstallationDate: Installed on 2012-03-01 (430 days ago)
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111011)
MachineType: Gigabyte Technology Co., Ltd. X58A-UD3R
MarkForUpload: True
ProcFB:

ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.8.0-19-generic root=/dev/mapper/jupiter-root ro quiet splash ipv6.disable=1 clocksource=acpi_pm
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-19-generic N/A
 linux-backports-modules-3.8.0-19-generic N/A
 linux-firmware 1.106
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/16/2011
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: F8a
dmi.board.name: X58A-UD3R
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrF8a:bd05/16/2011:svnGigabyteTechnologyCo.,Ltd.:pnX58A-UD3R:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnX58A-UD3R:rvr:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: X58A-UD3R
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

Hassan El Jacifi (waver) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

I tried to force CRDA but problem still persistent:

cat /etc/modprobe.d/cfg80211.conf
options cfg80211 ieee80211_regdom=CH

cat /etc/wpa_supplicant/wpa_supplicant.conf
ctrl_interface=/var/run/wpa_supplicant
ap_scan=2
fast_reauth=1
eapol_version=1
country=CH

Hassan El Jacifi (waver) wrote :

Tested on:

- 3.8.0-19-generic
- 3.9.0-030900-generic
- 3.9.0-999-generic

Hassan El Jacifi (waver) on 2013-05-06
tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Brad Figg (brad-figg) wrote :

Hassan,

The commit referenced in the upstream bug is not in Raring.

Hassan El Jacifi (waver) wrote :
Download full text (11.5 KiB)

Hi Brad,

I don't know what happened exactly but there's something that break wifi connectivity with newest kernel versions.

For example with other hardware:

 *-network
       description: Wireless interface
       product: WiFi Link 5100
       vendor: Intel Corporation
       physical id: 0
       bus info: pci@0000:03:00.0
       logical name: wlan0
       version: 00
       serial: 00:21:5d:ec:ac:14
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=iwlwifi driverversion=3.5.0-25-generic firmware=8.83.5.1 build 33692 ip=192.168.90.101 latency=0 link=yes multicast=yes wireless=IEEE 802.11abgn
       resources: irq:45 memory:febfe000-febfffff

Distributor ID: Ubuntu
Description: Ubuntu 12.10
Release: 12.10
Codename: quantal

It's impossible to use the wifi under kernel: 3.5.0-27.46, 3.5.0-28.48. As you can see on the logs:

May 9 12:40:53 luna wpa_supplicant[1409]: wlan0: SME: Trying to authenticate with XX:XX:XX:XX:XX:XX (SSID='Octi' freq=2472 MHz)
May 9 12:40:53 luna kernel: [ 35.781358] wlan0: authenticate with XX:XX:XX:XX:XX:XX
May 9 12:40:53 luna kernel: [ 35.784947] iwlwifi 0000:03:00.0: Microcode SW error detected. Restarting 0x2000000.
May 9 12:40:53 luna kernel: [ 35.784954] iwlwifi 0000:03:00.0: CSR values:
May 9 12:40:53 luna kernel: [ 35.784958] iwlwifi 0000:03:00.0: (2nd byte of CSR_INT_COALESCING is CSR_INT_PERIODIC_REG)
May 9 12:40:53 luna kernel: [ 35.784965] iwlwifi 0000:03:00.0: CSR_HW_IF_CONFIG_REG: 0X00488704
May 9 12:40:53 luna kernel: [ 35.784972] iwlwifi 0000:03:00.0: CSR_INT_COALESCING: 0X0000ff40
May 9 12:40:53 luna kernel: [ 35.784978] iwlwifi 0000:03:00.0: CSR_INT: 0X00000000
May 9 12:40:53 luna kernel: [ 35.784985] iwlwifi 0000:03:00.0: CSR_INT_MASK: 0X00000000
May 9 12:40:53 luna kernel: [ 35.784992] iwlwifi 0000:03:00.0: CSR_FH_INT_STATUS: 0X00000000
May 9 12:40:53 luna kernel: [ 35.784998] iwlwifi 0000:03:00.0: CSR_GPIO_IN: 0X00000000
May 9 12:40:53 luna kernel: [ 35.785005] iwlwifi 0000:03:00.0: CSR_RESET: 0X00000000
May 9 12:40:53 luna kernel: [ 35.785011] iwlwifi 0000:03:00.0: CSR_GP_CNTRL: 0X080403c5
May 9 12:40:53 luna kernel: [ 35.785018] iwlwifi 0000:03:00.0: CSR_HW_REV: 0X00000054
May 9 12:40:53 luna kernel: [ 35.785025] iwlwifi 0000:03:00.0: CSR_EEPROM_REG: 0X00000000
May 9 12:40:53 luna kernel: [ 35.785031] iwlwifi 0000:03:00.0: CSR_EEPROM_GP: 0X90000004
May 9 12:40:53 luna kernel: [ 35.785038] iwlwifi 0000:03:00.0: CSR_OTP_GP_REG: 0X00060000
May 9 12:40:53 luna kernel: [ 35.785044] iwlwifi 0000:03:00.0: CSR_GIO_REG: 0X00080044
May 9 12:40:53 luna kernel: [ 35.785051] iwlwifi 0000:03:00.0: CSR_GP_UCODE_REG: 0X000007b8
May 9 12:40:53 luna kernel: [ 35.785058] iwlwifi 0000:03:00.0: CSR_GP_DRIVER_REG: 0X00000000
May 9 12:40:53 luna kernel: [ 35.785064] iwlwifi 0000:03:00.0: CSR_UCODE_DRV_GP1: 0X00000000
May 9 1...

Hassan El Jacifi, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please just make a comment to this.

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc1

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: latest-bios-f6 needs-upstream-testing regression-potential
summary: - Regression caused by commit df88129
+ 1814:0601 Wifi not working right
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers